using System;

namespace VKontakte
{
	internal static class Utility
	{
		internal static string GetTextBeetween(string src, string pstart, string pend)
		{
			if (src == null)
			{
				throw new ArgumentException("Исходной строке не присвоено значение");
			}
			if (pstart == null && pend == null)
			{
				throw new ArgumentException("pstart и pend не могут оба одновременно не иметь значения");
			}
			int num = 0;
			int num2 = src.Length;
			if (pstart != null)
			{
				num = src.IndexOf(pstart);
			}
			if (num == -1)
			{
				return null;
			}
			num += pstart.Length;
			if (pend != null)
			{
				num2 = src.IndexOf(pend, num);
			}
			if (num2 == -1)
			{
				return null;
			}
			return src.Substring(num, num2 - num);
		}
	}
}
